My Oracle Support Banner

Upgrade Of ORDS Version 21.2.4.243.1032 Is Failing With ORA-01031: Insufficient Privileges (Doc ID 2811746.1)

Last updated on OCTOBER 04, 2021

Applies to:

Oracle REST Data Services - Version 21.2 and later
Information in this document applies to any platform.

Symptoms

Issue
---------
Error while installing ORDS with non sys (but privileged user) user say "myuser"

Error
--------
The installation of actual ORDS Version 21.2.4.243.1032 is failing with following error, when the installation is done with the dedicated database user "myuser" instead of SYS:
[*** Info: Upgrade version: 21.2.2.204 teamPath: upgrade/21.2.2.204/core/ ]
[*** script: add_grant_privs.sql]

Error starting at line : 2 in command -
grant create view to ORDS_METADATA
Error report -
ORA-01031: insufficient privileges



Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.